/**
 * Test case for setup.
 * Runs with mocha.
 */
"use strict";

const setup = require('../lib/setup.js'),
    path = require('path'),
    assert = require('assert'),
    coz = require('coz');

let tmpDir = __dirname + '/../tmp';

describe('setup', () => {
    it('Setup', (done) => {
        let dirname = tmpDir + '/foo/bar';
        setup({
            configuration: require.resolve('../doc/mocks/mock-Apemanfile.js'),
            cwd: ".."
        })((err, bud) => {
            assert.ifError(err);
            bud.forEach(function (bud) {
                bud.path = path.resolve(dirname, bud.path);
                bud.force = true;
            });
            assert.ok(bud);
            coz.render(bud, {}, function (err) {
                assert.ifError(err);
                done();
            });
        });
    });
});

